org.apache.tools.ant.types.resources

## Interface URLProvider

All Known Implementing Classes:
  JavaResource, URLResource

    public interface URLProvider

This is an interface that resources that can provide an URL should implement. This is a refactoring of `URLResource`, to allow other resources to act as sources of URLs.

Since:
  Ant 1.8

### Method Summary

Methods
`java.net.URL` `getURL()` Get the URL represented by this Resource.

### Method Detail

#### getURL

    java.net.URL getURL()

Get the URL represented by this Resource.

Returns:
  the file.